Debian Security Advisory

DSA-2560-1 bind9 -- denial of service

Date Reported:
20 Oct 2012
Affected Packages:
Security database references:
In the Debian bugtracking system: Bug 690118.
In Mitre's CVE dictionary: CVE-2012-5166.
More information:

It was discovered that BIND, a DNS server, hangs while constructing the additional section of a DNS reply, when certain combinations of resource records are present. This vulnerability affects both recursive and authoritative servers.

For the stable distribution (squeeze), this problem has been fixed in version 1:9.7.3.dfsg-1~squeeze8.

We recommend that you upgrade your bind9 packages.